Bug 1286780 - Bad boolean declaration at line 214 of /var/lib/selinux/targeted/tmp/modules/100/virt/cil
Bad boolean declaration at line 214 of /var/lib/selinux/targeted/tmp/modules/...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 12:44 EST by Adam Miller
Modified: 2016-01-11 13:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 13:05:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2015-11-30 12:44:45 EST
Attempting a 'dnf upgrade' on rawhide shows this output.

  Upgrading   : selinux-policy-targeted-3.13.1-160.fc24.noarch           66/274 
Re-declaration of boolean virt_sandbox_use_fusefs
Failed to create node
Bad boolean declaration at line 214 of /var/lib/selinux/targeted/tmp/modules/100/virt/cil
Failed to build ast
/usr/sbin/semodule:  Failed!
Comment 1 Adam Miller 2015-11-30 12:59:02 EST
It appears this is also causing a kernel panic. Not sure if this is a kernel bug or a selinux bug (or both?). I'll happily file a separate BZ against he kernel if necessary.

         Starting Switch Root...
[    6.518879] general protection fault: 0000 [#1] SMP
[    6.519719] Modules linked in: drm joydev serio_raw e1000(+) parport_pc i2c_piix4(+) acpi_cpufreq parport tpm_tis tpm ata_generic pata_acpi
[    6.521936] CPU: 0 PID: 9 Comm: rcuos/0 Tainted: G        W       4.4.0-0.rc0.git9.1.fc24.x86_64 #1
[    6.523371] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS rel-1.8.2-0-g33fbe13 by qemu-project.org 04/01/2014
[    6.525201] task: ffff88003e360000 ti: ffff88003e35c000 task.ti: ffff88003e35c000
[    6.526398] RIP: 0010:[<ffffffff811647b5>]  [<ffffffff811647b5>] pids_cancel.constprop.6+0x5/0x40
[    6.527826] RSP: 0018:ffff88003e35fd18  EFLAGS: 00010286
[    6.528697] RAX: 0000000000000000 RBX: dead4ead00000000 RCX: 000000000000000b
[    6.529859] RDX: 0000000000000000 RSI: 000000000000000c RDI: dead4ead00000000
[    6.531000] RBP: ffff88003e35fd30 R08: 0000000000000000 R09: 0000000000000000
[    6.532145] R10: 0000000000000002 R11: 00000000000000bb R12: ffff880035b69c00
[    6.533108] R13: ffff880035b69c00 R14: 0000000000000000 R15: ffff88003ce61e08
[    6.533848] FS:  0000000000000000(0000) GS:ffff88003fc00000(0000) knlGS:0000000000000000
[    6.534677] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[    6.535266] CR2: 00007f3aab6bdaf0 CR3: 00000000359cb000 CR4: 00000000001406f0
[    6.536005] Stack:
[    6.536224]  ffffffff81164a5d 000000000000000b ffff88003ce60000 ffff88003e35fd58
[    6.537050]  ffffffff81162eb3 ffff88003ce60000 ffff88003ce60000 ffff88003ce61e08
[    6.537870]  ffff88003e35fd78 ffffffff810a8102 ffff88003ce61e08 ffff88003ce60000
[    6.538692] Call Trace:
[    6.538961]  [<ffffffff81164a5d>] ? pids_free+0x3d/0xa0
[    6.539505]  [<ffffffff81162eb3>] cgroup_free+0x53/0xe0
[    6.540055]  [<ffffffff810a8102>] __put_task_struct+0x42/0x140
[    6.540665]  [<ffffffff810acdc2>] delayed_put_task_struct+0xa2/0x110
[    6.541317]  [<ffffffff810acd20>] ? child_wait_callback+0x60/0x60
[    6.541957]  [<ffffffff81129076>] rcu_nocb_kthread+0x226/0x5e0
[    6.542562]  [<ffffffff81128fc4>] ? rcu_nocb_kthread+0x174/0x5e0
[    6.543185]  [<ffffffff810fa580>] ? wake_atomic_t_function+0x70/0x70
[    6.543933]  [<ffffffff81128e50>] ? rcu_cpu_notify+0x470/0x470
[    6.544878]  [<ffffffff810d0d21>] kthread+0x101/0x120
[    6.545695]  [<ffffffff811063c9>] ? trace_hardirqs_on_caller+0x129/0x1b0
[    6.546756]  [<ffffffff810d0c20>] ? kthread_create_on_node+0x250/0x250
[    6.547857]  [<ffffffff81873e5f>] ret_from_fork+0x3f/0x70
[    6.548729]  [<ffffffff810d0c20>] ? kthread_create_on_node+0x250/0x250
[    6.549766] Code: 5b 5d c3 48 89 df 48 c7 c2 e6 ed c8 81 48 c7 c6 34 d3 c7 81 e8 3d 8a 13 00 31 c0 5b 5d c3 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 <3e> 48 83 87 f0 00 00 00 ff 78 01 c3 80 3d 09 14 e1 00 00 74 02
[    6.553879] RIP  [<ffffffff811647b5>] pids_cancel.constprop.6+0x5/0x40
[    6.554954]  RSP <ffff88003e35fd18>
[    6.555601] ---[ end trace c0dc92ade4b697b1 ]---
[    6.556367] Kernel panic - not syncing: Fatal exception in interrupt
[    6.557771] Kernel Offset: disabled
[    6.558357] ---[ end Kernel panic - not syncing: Fatal exception in interrupt

Note You need to log in before you can comment on or make changes to this bug.